#ifdef VHDL

/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"
#include <sstream>
#include <fstream>
using namespace std;

namespace morpheo              {
namespace behavioural          {

  void Vhdl::generate_file_package(void)
  {
    log_printf(FUNC,Behavioural,"generate_file_package","Begin");

    string name     = _name + "_Pack";
    string filename =  name + ".vhdl";

    cout << "Generate file \""<< filename << "\"" << endl;

    ofstream file;
    file.open(filename.c_str(),ios::out | ios::trunc);

    file << get_package (0,filename, name, _name);

    file.close();

    log_printf(FUNC,Behavioural,"generate_file_package","End");
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
